Subscribe

OCUM 6.3 is giving error when adding a cluster


OCUM 6.3 is failing and giving error when adding a new cluster.
Error:

A risk was generated by cp.enp.ar.com.sa that requires your attention.

Risk - Cluster Monitoring Failed
Impact Area - Availability
Severity - Warning
State - New
Source - cDOT_2
Trigger Condition - Monitoring failed for cluster cDOT_2. Reason: Cannot update server (com.netapp.oci.server.UpdateTaskException [67] Error when process from originId:3 originName:10.8.29.109 com.onaro.sanscreen.util.xml.XMLException [67] Error while parsing XML - line:922, column:354 cvc-enumeration-valid: Value 'NOT_MAPPED' is not facet-valid with respect to enumeration '[BASE, NFS, CIFS, ISCSI, FCP, SNAPRESTORE, SNAPMIRROR, FLEXCLONE, SNAPVAULT, SNAPLOCK, SNAPMANAGERSUITE, SNAPPROTECTAPPS, V_STORAGEATTACH, SNAPLOCK_ENTERPRISE, INSIGHT_BALANCE, OCSHIFT]'. It must be a value from the enumeration. org.xml.sax.SAXParseException; lineNumber: 922; columnNumber: 354; cvc-enumeration-valid: Value 'NOT_MAPPED' is not facet-valid with respect to enumeration '[BASE, NFS, CIFS, ISCSI, FCP, SNAPRESTORE, SNAPMIRROR, FLEXCLONE, SNAPVAULT, SNAPLOCK, SNAPMANAGERSUITE, SNAPPROTECTAPPS, V_STORAGEATTACH, SNAPLOCK_ENTERPRISE, INSIGHT_BALANCE, OCSHIFT]'. It must be a value from the enumeration.)

Event details:
https://cp.enp.ar.com.sa:443/#event-details:event-id=170020

Source details:
https://cpsr1v.enp.ar.com.sa:443/#cluster-details:cluster-id=31737

Alert details:
https://cpsr1v.enp.ar.com.sa:443/#alerts:alert-id=3



Clusters which were added before were also showing same error. OCUM 6.3 & C-ONTAP 9.1p1

Can someone please help in this regard?

Re: OCUM 6.3 is giving error when adding a cluster

[ Edited ]

UM 6.3 was released October 2015 and supported ONTAP 8.3.1.

UM 7.1 was the first UM release to support ONTAP 9.1.  

NOTE:  You cannot upgrade from UM 6.3 directly to UM 7.1.  UM 6.3 must be upgraded to UM 6.4 or UM 7.0 before proceeding to UM 7.1.  

If you are using OPM, you may want to consider UM 7.2 (you must be running UM 7.1 to upgrade to UM 7.2) where UM and OPM functionality has been unified into the single application of UM 7.2.

Re: OCUM 6.3 is giving error when adding a cluster

Marzec,

 

Thank you so much for the reply.

 

So what I understand is that, in order to fix this error we have to first upgrade UM to 6.4 or 7.0 ?

 

Can we upgrade from UM 6.3 to UM 7.0 directly ?

 

Once we upgrade to 7.0, can we directly upgrade from UM 7.0 to UM 7.2 ?

 

 

Thanks in advance.

Re: OCUM 6.3 is giving error when adding a cluster

Upgrade OCUM to 6.4 first before upgrading to 7.x